Package org.springframework.security.core.authority

# Interface GrantedAuthoritiesContainer

All Superinterfaces:
  `Serializable`

public interface GrantedAuthoritiesContainer extends Serializable
Indicates that a object stores GrantedAuthority objects.

Typically used in a pre-authenticated scenario when an AuthenticationDetails instance may also be used to obtain user authorities.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`getGrantedAuthorities()`

## Method Details

### getGrantedAuthorities

Collection<? extends GrantedAuthority> getGrantedAuthorities()